Bug 427100 - Various problems with display and lilypond output in Rosegarden
Various problems with display and lilypond output in Rosegarden
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Callum Lerwick
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 11:06 EST by David W. Legg
Modified: 2013-01-13 08:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:39:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bit of Bach illustrating some rosegarden bugs (16.85 KB, application/octet-stream)
2007-12-31 11:06 EST, David W. Legg
no flags Details

  None (edit)
Description David W. Legg 2007-12-31 11:06:36 EST
Description of problem:
See attached rosegarden file for illustration of problems.

1. Bar 10: Violin Part: It should be possible to contract the row of 8 tied E
semiquavers (sixteenth-notes?) into a single minim.  However, entering a minim,
or collapsing the semiquavers just results in a single semiquaver, not a minim.

2. Bars 18,19: Violin Part: Semiquavers that are just a tone apart should be
written with the blobs slightly offset from each other, with the lower one to
the left of the stem, not as per the A and B in the 3rd measure of bar 18 and
the E and F# in the 2nd measure of bar 19.

3. Bar 19: Missing repeats in Lilypond output.  Although present in the .rg
file, the repeats on bar 19 are missing from the lilypond output.  The repeat
marks in bar 6 are present in .rg and .ly, but absent in the .ly case for bar 19.

4. Bar 20 contains extra, unwanted, treble and bass clefs and and extra key
signatures.  When the key signatures are deleted, extra unwanted accidentals
appear in bar 20, as if to compensate for the deletion of the key signatures.


Version-Release number of selected component (if applicable):
rosegarden4-1.6.0-1.fc7, also in Fedora 8.

How reproducible:
Just view the attached file using RG V1.6.0 and you can see the above snags for
yourself.

Steps to Reproduce:
See above.
  
Actual results:
See above.

Expected results:
See above.

Additional info:
I can report these as separate bugs if you wish.
Thanks for lookign at this.  I cannot see a rosegarden-specific bugzilla anywhere.
Comment 1 David W. Legg 2007-12-31 11:06:36 EST
Created attachment 290586 [details]
Bit of Bach illustrating some rosegarden bugs
Comment 2 Bug Zapper 2008-05-14 11:13:28 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David W. Legg 2008-05-15 10:25:31 EDT
Still a problem in Fedora 8, and probably in 9.
Please move to F8 or F9.
Comment 4 Bug Zapper 2008-11-26 04:13:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:39:48 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.